=== requirements.txt ===
numpy>=1.20.3
scipy>=1.1.0
scikit-learn>=1.0.0
matplotlib>=2.0.0
pytest
pyaml>=16.9
joblib>=0.11
