=== .binder/requirements.txt ===
matplotlib
pandas
sphinx-gallery
scikit-learn
scikit-optimize
