=== doc/requirements.txt ===
ipykernel
numpy
matplotlib
pandas
ipywidgets
sphinx
sphinx-gallery>=0.6
numpydoc
pydata-sphinx-theme
