=== doc/binder/requirements.txt ===
# A binder requirement file is required by sphinx-gallery. We don't really need
# one since the binder requirement files live in the
# scikit-learn/binder-examples repo and not in the scikit-learn.github.io repo
# that comes from the scikit-learn doc build. This file can be removed if
# 'dependencies' is made an optional key for binder in sphinx-gallery.
