=== debian/changelog ===
scikit-optimize (0.10.2-6) unstable; urgency=medium

  * Patches:
    - Fix regressor validation with scikit-learn >= 1.6. (Closes: #1127791)
    - Fix autopkgtest test_plots.
  * d/control:
    - Bump Standards-Version to 4.7.3.
    - Remove Priority.
    - Remove Rules-Requires-Root.
    - Update depends to libjs-bootstrap5.
  * d/rules: exclude duplicates in installdocs.
  * d/watch: update to version 5 format.
  * d/copyright: update debian/* copyright year.
  * Add d/salsa-ci.yml.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 18 Feb 2026 04:24:59 +0000

scikit-optimize (0.10.2-5) unstable; urgency=medium

  * Team upload.
  * Fix mixin order for scikit-learn >= 1.6 (closes: #1117992).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Oct 2025 03:12:24 +0100

scikit-optimize (0.10.2-4) unstable; urgency=medium

  * d/control: bump libjs-bootstrap4 to libjs-bootstrap5
    in B-Depends. (Closes: #1088437)

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 03 Dec 2024 07:07:02 +0000

scikit-optimize (0.10.2-3) unstable; urgency=medium

  * Patch to fix build reproducibility. (Closes: #1078048)

 -- Yogeswaran Umasankar <yogu@debian.org>  Tue, 06 Aug 2024 19:50:00 +0000

scikit-optimize (0.10.2-2) unstable; urgency=medium

  * Source-only upload.
  * d/control: Update <!nodoc> and <!nocheck> list.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 04 Aug 2024 04:50:00 +0000

scikit-optimize (0.10.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1077364)

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 28 Jul 2024 23:30:00 +0000
