=== debian/control ===
Source: scikit-optimize
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/holgern/scikit-optimize
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-optimize.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-optimize
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libjs-bootstrap5 <!nodoc>,
 libjs-jquery-datatables <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-flake8,
 python3-joblib,
 python3-matplotlib,
 python3-numpy,
 python3-numpydoc <!nodoc>,
 python3-packaging,
 python3-pandas,
 python3-pyaml-env,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-sklearn,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc2 <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild

Package: python3-scikit-optimize
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Sequential model-based optimization toolbox
 Scikit-Optimize, or ``skopt``, is a simple and efficient
 library for optimizing (very) expensive and noisy
 black-box functions. It implements several methods for
 sequential model-based optimization. ``skopt`` aims to
 be accessible and easy to use in many contexts.

Package: python-scikit-optimize-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 libjs-jquery-datatables,
 node-mathjax-full,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for scikit-optimize
 Scikit-Optimize, or ``skopt``, is a simple and efficient
 library for optimizing (very) expensive and noisy
 black-box functions. It implements several methods for
 sequential model-based optimization. ``skopt`` aims to
 be accessible and easy to use in many contexts.
 .
 This package contains documentation for scikit-optimize.
