=== debian/watch ===
Version: 5
Template: Github
Owner: holgern
Project: scikit-optimize
